| Home | Libraries | People | FAQ | More

#### connect_params

(EXPERIMENTAL) Parameters to be used with `any_connection` connect functions.

##### Synopsis

Defined in header `<boost/mysql/connect_params.hpp>`

    struct connect_params

##### Data Members

Name | Description
--- | ---
connection_collation | The ID of the collation to use for the connection.
database | Database name to use, or empty string for no database (this is the default).
multi_queries | Whether to enable support for executing semicolon-separated text queries.
password | Password for that username, possibly empty.
server_address | Determines how to establish a physical connection to the MySQL server.
ssl | Controls whether to use TLS or not.
username | User name to authenticate as.

##### Description

To be passed to `any_connection::connect` and `any_connection::async_connect`. Includes the server address and MySQL handshake parameters.

Contrary to `handshake_params`, this is an owning type.

##### Experimental

This part of the API is experimental, and may change in successive releases without previous notice.